Subject: [Wocky] Special 80% discount for customer wocky on all Pfizer

From: Genuine Pfizer (c) Retailer <[email-masked]>
Date: Thu, 24 Dec 2009 06:53:37 -0500 (EST)

If you are unable to see the message below, click here to view.

Terms & Conditions | Customer Service Center | Unsubscribe | Change E-mail

We respect your privacy. View our Privacy Policy for more information.

(c) Copyright 2008-2009, Yokoely Corporation.
All rights reserved